import { platformSetting } from '@/plugins/setting';

export default {
  data() {
    return {
      saveHistoryPrint: {
        shopee: true,
        tiktok: true,
        lazada: true,
      },
    };
  },
  methods: {
    saveSaveHistoryPrint() {
      platformSetting.saveHistoryPrint.set(this.saveHistoryPrint);
      this.$Message.success(this.$t('SAVE_SETTING_SUCCESS'));
    },
    loadSaveHistoryPrint() {
      const saved = platformSetting.saveHistoryPrint.get();
      this.saveHistoryPrint = Object.assign(this.saveHistoryPrint, saved);
    },
  },
};
